commit: f1b3b7d9ccbe07d75eb06700366450fd1f35ac39
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 12 23:32:36 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 13 00:08:31 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1b3b7d9
dev-lang/micropython: skip extmod_select_poll_fd test
This test (and only this test) failed for me with:
```
--- tests/results/extmod_select_poll_fd.py.exp 2025-06-13 00:21:41.912587843
+0100
+++ tests/results/extmod_select_poll_fd.py.out 2025-06-13 00:21:41.912662784
+0100
@@ -1,9 +1,7 @@
-CPYTHON3 CRASH:
ValueError
[(1, 4)]
[]
Traceback (most recent call last):
File
"/var/tmp/portage/dev-lang/micropython-1.25.0/work/micropython-1.25.0/tests/extmod/select_poll_fd.py",
line 45, in <module>
- assert False
- ^^^^^
-AssertionError
+AssertionError:
+CRASH
\ No newline at end of file
```
It seems to be just a minor formatting thing between CPython versions,
but skip it at least for now. Will see about fixing the CPython version
it tests against in a followup.
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-lang/micropython/micropython-1.25.0.ebuild | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/dev-lang/micropython/micropython-1.25.0.ebuild
b/dev-lang/micropython/micropython-1.25.0.ebuild
index 6d370c6a9a3d..2632c621e07e 100644
--- a/dev-lang/micropython/micropython-1.25.0.ebuild
+++ b/dev-lang/micropython/micropython-1.25.0.ebuild
@@ -26,6 +26,13 @@ DEPEND="
src_prepare() {
default
+ # Fails with minor output differences but also seems sensitive
+ # to timeout.
+ cat <<-EOF > tests/extmod/select_poll_fd.py || die
+ print("SKIP")
+ raise SystemExit
+ EOF
+
# Both ports/unix and mpy-cross need their Makefile changed.
# 1) don't die on compiler warning
# 2) remove /usr/local prefix references in favour of /usr